std::_Base_bitset< 0 > Struct Template Reference

## Public Types

typedef unsigned long | _WordT

## Public Member Functions

constexpr | _Base_bitset (unsigned long long) noexcept
template<size_t _Nb>
bool | _M_are_all () const noexcept
void | _M_do_and (const _Base_bitset< 0 > &) noexcept
size_t | _M_do_count () const noexcept
size_t | _M_do_find_first (size_t) const noexcept
size_t | _M_do_find_next (size_t, size_t) const noexcept
void | _M_do_flip () noexcept
void | _M_do_left_shift (size_t) noexcept
void | _M_do_or (const _Base_bitset< 0 > &) noexcept
void | _M_do_reset () noexcept
void | _M_do_right_shift (size_t) noexcept
void | _M_do_set () noexcept
unsigned long long | _M_do_to_ullong () const noexcept
unsigned long | _M_do_to_ulong () const noexcept
void | _M_do_xor (const _Base_bitset< 0 > &) noexcept
_WordT & | _M_getword (size_t) noexcept
constexpr _WordT | _M_getword (size_t __pos) const noexcept
constexpr _WordT | _M_hiword () const noexcept
bool | _M_is_any () const noexcept
bool | _M_is_equal (const _Base_bitset< 0 > &) const noexcept

## Static Public Member Functions

static constexpr _WordT | _S_maskbit (size_t __pos) noexcept
static constexpr size_t | _S_whichbit (size_t __pos) noexcept
static constexpr size_t | _S_whichbyte (size_t __pos) noexcept
static constexpr size_t | _S_whichword (size_t __pos) noexcept

## Detailed Description

### template<>
struct std::_Base_bitset< 0 >

Base class, specialization for no storage (zero-length bitset).

See documentation for bitset.

Definition at line 519 of file bitset.

The documentation for this struct was generated from the following file:

- bitset